﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace wpf_Chart_668988
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var dataActive = new List<DLYChartPoint> 
            { 
                new DLYChartPoint { Label = "cat1", Value = 5, },
                new DLYChartPoint { Label = "cat2", Value = 3, },
                new DLYChartPoint { Label = "cat3", Value = 2, },
                new DLYChartPoint { Label = "cat4", Value = 5, },
            };

            var dataStopped = new List<DLYChartPoint> 
            { 
                new DLYChartPoint { Label = "cat1", Value = 5, },
                new DLYChartPoint { Label = "cat2", Value = 1, },
                new DLYChartPoint { Label = "cat3", Value = 6, },
                new DLYChartPoint { Label = "cat4", Value = 14, },
            };

            var dataActive2 = new List<DLYChartPoint> 
            { 
                new DLYChartPoint { Label = "cat1", Value = 5, },
                new DLYChartPoint { Label = "cat2", Value = 3, },
                new DLYChartPoint { Label = "cat3", Value = 2, },
                new DLYChartPoint { Label = "cat4", Value = 5, },
            };

            var data = new List<List<DLYChartPoint>>();
            data.Add(dataActive);
            data.Add(dataStopped);
            data.Add(dataActive2);
            this.DataContext = data;

            this.timeline1.ItemsSource = new List<TimelineData>() 
            { 
                new TimelineData { StartDate = new DateTime(2013, 3, 10, 0, 0, 0), Duration = new TimeSpan(1, 0, 0), Brush = new SolidColorBrush(Colors.Green), },
                new TimelineData { StartDate = new DateTime(2013, 3, 10, 1, 0, 0), Duration = new TimeSpan(3, 0, 0), Brush = new SolidColorBrush(Colors.Red),},
                new TimelineData { StartDate = new DateTime(2013, 3, 10, 4, 0, 0), Duration = new TimeSpan(2, 0, 0), Brush = new SolidColorBrush(Colors.Green),},
            };
        }
    }

    public class DLYChartPoint 
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }

    public class TimelineData
    {
        public DateTime StartDate { get; set; }
        public TimeSpan Duration { get; set; }
        public SolidColorBrush Brush { get; set; }
    }
}
